<?php
/**
 * Premium Tab
 *
 * @author Your Inspiration Themes
 * @package YITH WooCommerce Save for Later
 * @version 1.0.0
 */

/*
 * This file belongs to the YIT Framework.
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.txt
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
} // Exit if accessed directly
?>

<style>
.section{
    margin-left: -20px;
    margin-right: -20px;
    font-family: "Raleway",san-serif;
}
.section h1{
    text-align: center;
    text-transform: uppercase;
    color: #808a97;
    font-size: 35px;
    font-weight: 700;
    line-height: normal;
    display: inline-block;
    width: 100%;
    margin: 50px 0 0;
}
.section ul{
    list-style-type: disc;
    padding-left: 15px;
}
.section:nth-child(even){
    background-color: #fff;
}
.section:nth-child(odd){
    background-color: #f1f1f1;
}
.section .section-title img{
    display: table-cell;
    vertical-align: middle;
    width: auto;
    margin-right: 15px;
}
.section h2,
.section h3 {
    display: inline-block;
    vertical-align: middle;
    padding: 0;
    font-size: 24px;
    font-weight: 700;
    color: #808a97;
    text-transform: uppercase;
}

.section .section-title h2{
    display: table-cell;
    vertical-align: middle;
    line-height: 25px;
}

.section-title{
    display: table;
}

.section h3 {
    font-size: 14px;
    line-height: 28px;
    margin-bottom: 0;
    display: block;
}

.section p{
    font-size: 13px;
    margin: 25px 0;
}
.section ul li{
    margin-bottom: 4px;
}
.landing-container{
    max-width: 750px;
    margin-left: auto;
    margin-right: auto;
    padding: 50px 0 30px;
}
.landing-container:after{
    display: block;
    clear: both;
    content: '';
}
.landing-container .col-1,
.landing-container .col-2{
    float: left;
    box-sizing: border-box;
    padding: 0 15px;
}
.landing-container .col-1 img{
    width: 100%;
}
.landing-container .col-1{
    width: 55%;
}
.landing-container .col-2{
    width: 45%;
}
.premium-cta{
    background-color: #808a97;
    color: #fff;
    border-radius: 6px;
    padding: 20px 15px;
}
.premium-cta:after{
    content: '';
    display: block;
    clear: both;
}
.premium-cta p{
    margin: 7px 0;
    font-size: 14px;
    font-weight: 500;
    display: inline-block;
    width: 60%;
}
.premium-cta a.button{
    border-radius: 6px;
    height: 60px;
    float: right;
    background: url(<?php echo YWSFL_ASSETS_URL?>/images/upgrade.png) #ff643f no-repeat 13px 13px;
    border-color: #ff643f;
    box-shadow: none;
    outline: none;
    color: #fff;
    position: relative;
    padding: 9px 50px 9px 70px;
}
.premium-cta a.button:hover,
.premium-cta a.button:active,
.premium-cta a.button:focus{
    color: #fff;
    background: url(<?php echo YWSFL_ASSETS_URL?>/images/upgrade.png) #971d00 no-repeat 13px 13px;
    border-color: #971d00;
    box-shadow: none;
    outline: none;
}
.premium-cta a.button:focus{
    top: 1px;
}
.premium-cta a.button span{
    line-height: 13px;
}
.premium-cta a.button .highlight{
    display: block;
    font-size: 20px;
    font-weight: 700;
    line-height: 20px;
}
.premium-cta .highlight{
    text-transform: uppercase;
    background: none;
    font-weight: 800;
    color: #fff;
}

.section.one{
    background: url(<?php echo YWSFL_ASSETS_URL?>/images/01-bg.png) no-repeat #fff; background-position: 85% 75%
}
.section.two{
    background: url(<?php echo YWSFL_ASSETS_URL?>/images/02-bg.png) no-repeat #fff; background-position: 85% 75%
}
.section.three{
    background: url(<?php echo YWSFL_ASSETS_URL?>/images/03-bg.png) no-repeat #fff; background-position: 85% 75%
}


@media (max-width: 768px) {
    .section{margin: 0}
    .premium-cta p{
        width: 100%;
    }
    .premium-cta{
        text-align: center;
    }
    .premium-cta a.button{
        float: none;
    }
}

@media (max-width: 480px){
    .wrap{
        margin-right: 0;
    }
    .section{
        margin: 0;
    }
    .landing-container .col-1,
    .landing-container .col-2{
        width: 100%;
        padding: 0 15px;
    }
    .section-odd .col-1 {
        float: left;
        margin-right: -100%;
    }
    .section-odd .col-2 {
        float: right;
        margin-top: 65%;
    }
}

@media (max-width: 320px){
    .premium-cta a.button{
        padding: 9px 20px 9px 70px;
    }

    .section .section-title img{
        display: none;
    }
}
</style>
<?php
$premium_url = 'https://yithemes.com/themes/plugins/yith-woocommerce-save-for-later/';
?>
<div class="landing">
    <div class="section section-cta section-odd">
        <div class="landing-container">
            <div class="premium-cta">
                <p>
                    <?php echo sprintf( __('Upgrade to %1$spremium version%2$s of %1$sYITH WooCommerce Save for Later%2$s to benefit from all features!','yith-woocommerce-save-for-later'),'<span class="highlight">','</span>' );?>
                </p>
                <a href="<?php echo $premium_url; ?>" target="_blank" class="premium-cta-button button btn">
                    <span class="highlight"><?php _e('UPGRADE','yith-woocommerce-save-for-later');?></span>
                    <span><?php _e('to the premium version','yith-woocommerce-save-for-later');?></span>
                </a>
            </div>
        </div>
    </div>
    <div class="one section section-even clear">
        <h1><?php _e('Premium Features','yith-woocommerce-save-for-later');?></h1>
        <div class="landing-container">
            <div class="col-1">
                <img src="<?php echo YWSFL_ASSETS_URL?>/images/01.png" alt="<?php _e( 'Variable products','yith-woocommerce-save-for-later') ?>" />
            </div>
            <div class="col-2">
                <div class="section-title">
                    <img src="<?php echo YWSFL_ASSETS_URL?>/images/01-icon.png" alt="icon 01"/>
                    <h2><?php _e('Variable products','yith-woocommerce-save-for-later');?></h2>
                </div>
                <p>
                    <?php echo sprintf(__('No product is excluded from plugin\'s features! With the premium version of %1$sYITH WooCommerce Save For Later%2$s your users will be free to add also the product single %1$svariations%2$s to a separated list, and the add them easily to the cart whenever they want.', 'yith-woocommerce-save-for-later'), '<b>', '</b>','<br>');?>
                </p>
            </div>
        </div>
    </div>
    <div class="two section section-odd clear">
        <div class="landing-container">
            <div class="col-2">
                <div class="section-title">
                    <img src="<?php echo YWSFL_ASSETS_URL?>/images/02-icon.png" alt="icon 02" />
                    <h2><?php _e('Add to cart','yith-woocommerce-save-for-later');?></h2>
                </div>
                <p>
                    <?php echo sprintf(__('Within an e-shop, users must be always able to complete the purchase easily and in few steps. The first one is the addition of products to the cart.%3$sPurchase the premium version of the plugin and all your users will be free to add products to their %1$scart%2$s from the new list, avoiding the need to come back to product pages.%3$sLess clicks for an easier purchase.', 'yith-woocommerce-save-for-later'), '<b>', '</b>','<br>');?>
                </p>
            </div>
            <div class="col-1">
                <img src="<?php echo YWSFL_ASSETS_URL?>/images/02.png" alt="<?php _e( 'Automatic payment','yith-woocommerce-save-for-later') ?>" />
            </div>
        </div>
    </div>
    <div class="three section section-even clear">
        <div class="landing-container">
            <div class="col-1">
                <img src="<?php echo YWSFL_ASSETS_URL?>/images/03.png" alt="<?php _e( 'Click Info','yith-woocommerce-save-for-later') ?>" />
            </div>
            <div class="col-2">
                <div class="section-title">
                    <img src="<?php echo YWSFL_ASSETS_URL?>/images/03-icon.png" alt="icon 03" />
                    <h2><?php _e( 'Integration with YITH WooCommerce Wishlist','yith-woocommerce-save-for-later');?></h2>
                </div>
                <p>
<?php echo sprintf(__('Wishlists are nowadays a fundamental point for online shops, as they give users the freedom to save the list of products they are interested into. Complete plugin\'s features with %1$sYITH WooCommerce Wishlist%2$s, and users will be free to add to their wishlists all products saved for later.%3$sA must have for this business, you can\'t miss it!', 'yith-woocommerce-save-for-later'), '<b>', '</b>', '<br>');?>

                </p>
            </div>
        </div>
    </div>    
    <div class="section section-cta section-odd">
        <div class="landing-container">
            <div class="premium-cta">
                <p>
                    <?php echo sprintf( __('Upgrade to %1$spremium version%2$s of %1$sYITH WooCommerce Save for Later%2$s to benefit from all features!','yith-woocommerce-save-for-later'),'<span class="highlight">','</span>' );?>
                </p>
                <a href="<?php echo $premium_url; ?>" target="_blank" class="premium-cta-button button btn">
                    <span class="highlight"><?php _e('UPGRADE','yith-woocommerce-save-for-later');?></span>
                    <span><?php _e('to the premium version','yith-woocommerce-save-for-later');?></span>
                </a>
            </div>
        </div>
    </div>
</div>
